## org.eclipse.m2m.atl.debug.core.adwp
Class StringValue

    java.lang.Object
      org.eclipse.m2m.atl.debug.core.adwp.Value
          org.eclipse.m2m.atl.debug.core.adwp.StringValue

    public final class StringValue

extends Value

The String implementation of the debugger value.

Method Summary
`java.lang.String` `getValue()`
`java.lang.String` `toString()`
`static StringValue` `valueOf(java.lang.String stringValue)` Converts a string into a `StringValue`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getValue

    public java.lang.String getValue()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

### valueOf

    public static StringValue valueOf(java.lang.String stringValue)

  Converts a string into a `StringValue`.

  Parameters:
    `stringValue` - the string
  Returns:
    the `StringValue`

Copyright 2007 IBM Corporation and others. All Rights Reserved.